Bug 827592 - SELinux is preventing /usr/bin/chsh from 'execute' accesses on the file tmux.
SELinux is preventing /usr/bin/chsh from 'execute' accesses on the file tmux.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:95285ecabe7eabf35c96fc874ce...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 15:46 EDT by Frederik
Modified: 2012-07-19 05:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederik 2012-06-01 15:46:39 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Fri 01 Jun 2012 09:40:11 PM CEST

description:
:--- Start of user comments ---
:I installed tmux through yum from the repos, and it added itself to /etc/shells as expected. If I try to change my shell to tmux with chsh, however, I receive the error message "/usr/bin/tmux is not executable", as well as the SELinux error below. If I try the advice in the troubleshooter to generate the local policy module, I am allowed to change my shell to tmux. However, having my shell as tmux prevents me from logging in.
:
:Also, this is my first ever bug report on Bugzilla, so please let me know if I did something wrong.
:--- End of user comments ---
:
:SELinux is preventing /usr/bin/chsh from 'execute' accesses on the file tmux.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that chsh should be allowed execute access on the tmux file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep chsh /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:chfn_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:screen_exec_t:s0
:Target Objects                tmux [ file ]
:Source                        chsh
:Source Path                   /usr/bin/chsh
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           util-linux-2.21.2-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-125.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux fedora-test 3.3.7-1.fc17.x86_64 #1 SMP Mon
:                              May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 01 Jun 2012 09:35:22 PM CEST
:Last Seen                     Fri 01 Jun 2012 09:35:22 PM CEST
:Local ID                      5a761d8c-b45d-456a-b756-e6228f825d93
:
:Raw Audit Messages
:type=AVC msg=audit(1338579322.370:142): avc:  denied  { execute } for  pid=1780 comm="chsh" name="tmux" dev="dm-1" ino=418952 scontext=unconfined_u:unconfined_r:chfn_t:s0-s0:c0.c1023 tcontext=system_u:object_r:screen_exec_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1338579322.370:142): arch=x86_64 syscall=access success=no exit=EACCES a0=7fffef28f4fc a1=1 a2=5 a3=7fffef28e430 items=0 ppid=1726 pid=1780 auid=1000 uid=1000 gid=1000 euid=0 suid=0 fsuid=0 egid=1000 sgid=1000 fsgid=1000 tty=pts0 ses=4 comm=chsh exe=/usr/bin/chsh subj=unconfined_u:unconfined_r:chfn_t:s0-s0:c0.c1023 key=(null)
:
:Hash: chsh,chfn_t,screen_exec_t,file,execute
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-04 09:42:55 EDT
Fixed in selinux-policy-3.10.0-129.fc17
Comment 2 Frederik 2012-06-09 17:37:23 EDT
(In reply to comment #1)
> Fixed in selinux-policy-3.10.0-129.fc17

Awesome, thank you. Looking forward to the update.
Comment 3 Fedora Update System 2012-06-11 16:58:42 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 4 Fedora Update System 2012-06-15 19:56:26 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-16 20:01:17 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Frederik 2012-06-17 12:02:16 EDT
I'm afraid I'm still experiencing exactly the same problem after upgrading to selinux-policy-3.10.0-130.fc17.
Comment 7 Miroslav Grepl 2012-06-17 17:34:11 EDT
Ah, you are rihgt. There was a merge issue. I will fix it ASAP.
Comment 8 Miroslav Grepl 2012-06-18 08:51:28 EDT
Fixed in selinux-policy-3.10.0-131.fc17
Comment 9 Fedora Update System 2012-06-19 03:58:00 EDT
selinux-policy-3.10.0-132.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-132.fc17
Comment 10 Fedora Update System 2012-06-19 20:28:23 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-07-19 05:16:14 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.